> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Recurring Amount

> Update the recurring amount for a specific subscription reference ID.



## OpenAPI

````yaml put /api/v2/subscriptions/{subReferenceId}/recurring-amount
openapi: 3.0.0
info:
  title: Cashfree Subscription API
  description: >-
    Create and manage subscriptions and collect recurring payments from
    customers easily with Cashfree Subscriptions.
  version: v2
servers:
  - url: https://sandbox.cashfree.com
    description: Sandbox server
  - url: https://api.cashfree.com
    description: Production server
security: []
externalDocs:
  url: https://docs.cashfree.com/reference/postman-collection-1
  description: This url will have the information of all the APIs.
paths:
  /api/v2/subscriptions/{subReferenceId}/recurring-amount:
    put:
      tags:
        - Subscription
      summary: Update Recurring Amount
      description: Update the recurring amount for a specific subscription reference ID.
      operationId: updateRecurringAmount
      parameters:
        - name: X-Client-Id
          in: header
          required: true
          schema:
            type: string
            description: Client ID provided by Cashfree.
            example: 144436e71d659a
        - name: X-Client-Secret
          in: header
          required: true
          schema:
            type: string
            description: Client Secret provided by Cashfree.
            example: TEST365fd19c
        - name: subReferenceId
          in: path
          required: true
          schema:
            type: integer
            description: >-
              The reference ID of the subscription whose recurring amount is to
              be updated.
            example: 113598
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: number
                  description: The new recurring amount for the subscription.
                  example: 4.99
            examples:
              Update Recurring Amount Request:
                value:
                  amount: 4.99
      responses:
        '200':
          description: Successful update of the recurring amount.
          content:
            application/json:
              examples:
                Update Recurring Amount Success:
                  value:
                    status: OK
                    message: Recurring Amount Updated
        '400':
          description: >-
            Bad request due to invalid parameters or the subscription not being
            a periodic one.
          content:
            application/json:
              examples:
                Invalid Subscription Type:
                  value:
                    status: ERROR
                    subCode: '400'
                    message: >-
                      Recurring amount update is valid only for Periodic
                      Subscriptions
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the API call.
                    example: ERROR
                  message:
                    type: string
                    description: Error message.
                    example: Server encountered an unexpected condition.

````